Bug 1270324 - Chromium needs libusb_interrupt_handle_event exposed
Chromium needs libusb_interrupt_handle_event exposed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libusbx (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1270322
  Show dependency treegraph
 
Reported: 2015-10-09 11:53 EDT by Tom "spot" Callaway
Modified: 2016-03-02 16:50 EST (History)
10 users (show)

See Also:
Fixed In Version: libusbx-1.0.21-0.1.git448584a.fc23 libusbx-1.0.21-0.1.git448584a.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:22:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for 1.0.20 (2.03 KB, patch)
2015-10-09 11:53 EDT, Tom "spot" Callaway
no flags Details | Diff
1/0.19 version of the patch (2.07 KB, patch)
2015-10-09 11:54 EDT, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2015-10-09 11:53:06 EDT
Created attachment 1081383 [details]
Patch for 1.0.20

Chromium needs libusb_interrupt_handle_event exposed. Otherwise, Chromium will need to bundle libusbx.
Comment 1 Tom "spot" Callaway 2015-10-09 11:54 EDT
Created attachment 1081384 [details]
1/0.19 version of the patch

Since this issue applies to all versions of libusbx (and I'd imagine people will want Chromium in all branches), this is a patch for 1.0.19 (the only difference is that 1.0.19 uses ctx->ctrl_pipe).
Comment 2 Hans de Goede 2016-01-31 07:19:23 EST
Hi,

Sorry this one somehow did not show up on my radar when initially filed. In a way this is good though, as in the mean time this has been discussed upstream, leading to this commit:

https://github.com/libusb/libusb/commit/a6db382ad11f7662b550338e0570d5a2dfd8ce5a

I believe that the best way forward with this would be to upgrade the libusb Fedora pkg to a snapshot with this commit, and then patch chromium to use the new API (use is similar, only you do not need to check for an error return).

Would that work for you, and if so in which Fedora versions do you want the snapshot ?

Regards,

Hans
Comment 3 Hans de Goede 2016-01-31 07:23:45 EST
Note you can even make the chromium patch for this upstreamable by making the new code using the official api conditional like this:

#ifdef LIBUSB_API_VERSION >= 0x01000105
...new-code
#else
...old-code
#endif
Comment 4 Tom "spot" Callaway 2016-02-02 12:54:47 EST
Could you add the new function to F22+ ?
Comment 5 Hans de Goede 2016-02-23 05:25:48 EST
Hi,

(In reply to Tom "spot" Callaway from comment #4)
> Could you add the new function to F22+ ?

Done, currently building, I'll create updates in bodhi for this soon.

Regards,

Hans
Comment 6 Fedora Update System 2016-02-23 05:48:25 EST
libusbx-1.0.21-0.1.git448584a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebace1242a
Comment 7 Fedora Update System 2016-02-23 05:49:10 EST
libusbx-1.0.21-0.1.git448584a.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-687b4b59d0
Comment 8 Fedora Update System 2016-02-23 16:26:13 EST
libusbx-1.0.21-0.1.git448584a.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-687b4b59d0
Comment 9 Jan Kurik 2016-02-24 08:49:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Fedora Update System 2016-02-24 16:51:22 EST
libusbx-1.0.21-0.1.git448584a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebace1242a
Comment 11 Didier 2016-02-26 03:52:02 EST
With the latest libusbx, chromium still yields a symbol lookup error on F23 :

# dnf list installed | egrep "chromium.x86_64|libusbx.x86_64"
chromium.x86_64                          48.0.2564.103-2.fc23           @spot-chromium
libusbx.x86_64                           1.0.21-0.1.git448584a.fc23     @spot-chromium

$ chromium-browser
/usr/bin/chromium-browser: symbol lookup error: /usr/bin/chromium-browser: undefined symbol: libusb_interrupt_handle_event
Comment 12 Didier 2016-02-26 04:13:25 EST
Chromium works with the (downgraded) libusbx version from Tom's COPR :

# dnf list installed | egrep "chromium.x86_64|libusbx.x86_64"
chromium.x86_64                          48.0.2564.103-2.fc23           @spot-chromium
libusbx.x86_64                           1.0.20-101.fc23                @spot-chromium
Comment 13 Hans de Goede 2016-02-26 10:54:27 EST
Hi,

(In reply to Didier from comment #11)
> With the latest libusbx, chromium still yields a symbol lookup error on F23 :
> 
> # dnf list installed | egrep "chromium.x86_64|libusbx.x86_64"
> chromium.x86_64                          48.0.2564.103-2.fc23          
> @spot-chromium
> libusbx.x86_64                           1.0.21-0.1.git448584a.fc23    
> @spot-chromium
> 
> $ chromium-browser
> /usr/bin/chromium-browser: symbol lookup error: /usr/bin/chromium-browser:
> undefined symbol: libusb_interrupt_handle_event

That is sort-of expected, the function as merged upstream is called: libusb_interrupt_event_handler so Tom will need to update (patch) his chromium packages to use the function name as merged upstream. 

Once that is done Tom can stop providing a custom libusbx in his COPR :)

Regards,

Hans
Comment 14 Tom "spot" Callaway 2016-02-26 10:55:42 EST
Yes, a fixed chromium is building right now. This should be a non-issue RSN. :)
Comment 15 Jorge Martínez López 2016-02-26 14:01:23 EST
chromium.x86_64 48.0.2564.116-2.fc23
libusbx.x86_64 1.0.21-0.1.git448584a.fc23

fix this issue. Thanks Tom!
Comment 16 Fedora Update System 2016-02-26 14:22:16 EST
libusbx-1.0.21-0.1.git448584a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Vadim Troshchinskiy 2016-03-01 04:58:45 EST
Still doesn't work here. The package is installed:

$ rpm -qa | grep libusbx
libusbx-devel-1.0.21-0.1.git448584a.fc23.x86_64
libusbx-1.0.21-0.1.git448584a.fc23.x86_64

But Chromium still won't run:

$ chromium-browser 
/usr/bin/chromium-browser: symbol lookup error: /usr/bin/chromium-browser: undefined symbol: libusb_interrupt_handle_event
Comment 18 Vadim Troshchinskiy 2016-03-02 02:54:58 EST
Today I found chromium and chromium-libs got updated to version 48.0.2564.116-2.fc23, and now everything works fine.
Comment 19 Fedora Update System 2016-03-02 16:50:13 EST
libusbx-1.0.21-0.1.git448584a.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.